[youtubei.js](../README.md) / DeviceAndUserCode

# Type Alias: DeviceAndUserCode

> **DeviceAndUserCode**: `object`

## Type declaration

### device\_code

> **device\_code**: `string`

### error\_code?

> `optional` **error\_code**: `string`

### expires\_in

> **expires\_in**: `number`

### interval

> **interval**: `number`

### user\_code

> **user\_code**: `string`

### verification\_url

> **verification\_url**: `string`

## Defined in

[src/core/OAuth2.ts:22](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/core/OAuth2.ts#L22)
